# Uses of Interface
org.bukkit.entity.Arrow

Packages that use Arrow
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Arrow in org.bukkit

Methods in org.bukkit that return Arrow
Modifier and Type
Method
Description
`@NotNull Arrow`
World.`spawnArrow(@NotNull Location location, @NotNull Vector direction, float speed, float spread)`
Creates an `Arrow` entity at the given `Location`

## Uses of Arrow in org.bukkit.entity

Subinterfaces of Arrow in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`TippedArrow`
Deprecated.
tipped status depends only on base potion type not being UNCRAFTABLE and effects being empty.